<?php
include_once('./_common.php');

if (isset($_REQUEST['is_id'])) { 
    $is_id = (int)$_REQUEST['is_id'];
}

if (!$is_id) {
	alert('is_id 값이 넘어오지 않았습니다.', G5_URL);
}

$view = sql_fetch(" select * from `{$g5['g5_shop_item_use_table']}` a join `{$g5['g5_shop_item_table']}` b on (a.it_id=b.it_id) where a.is_confirm = '1' and a.is_id = '$is_id' ");

if(!$view['is_id']) {
	alert('존재하지 않는 자료입니다.', G5_URL);
}

if($ca_id) {
	$qstr .= '&amp;ca_id='.$ca_id;
}

// 버튼
$view['is_edit_href'] = $view['is_del_href'] = '';
if($is_admin || ($view['mb_id'] && $member['mb_id'] == $view['mb_id'])) {
	$view['is_edit_href'] = './itemuseform.php?it_id='.$view['it_id'].'&amp;is_id='.$is_id.'&amp;page='.$page.'&amp;w=u&amp;move=3';

	$hash = md5($view['is_id'].$view['is_time'].$view['is_ip']);
	$view['is_del_href'] = './itemuseformupdate.php?it_id='.$view['it_id'].'&amp;is_id='.$is_id.'&amp;w=d&amp;move=2&amp;hash='.$hash;
}

$view['is_time'] = strtotime($view['is_time']);
$view['is_photo'] = apms_photo_url($view['mb_id']);
$view['is_content'] = apms_content(conv_content($view['is_content'], 1));
$view['it_href'] = './item.php?it_id='.$view['it_id'];

// Page ID
$pid = ($pid) ? $pid : 'iuse';
$at = apms_page_thema($pid);
if(!defined('THEMA_PATH')) {
	include_once(G5_LIB_PATH.'/apms.thema.lib.php');
}

$skin_row = array();
$skin_row = apms_rows('use_'.MOBILE_.'rows, use_'.MOBILE_.'skin, use_'.MOBILE_.'set');
$skin_path = G5_SKIN_PATH.'/apms/use/'.$skin_row['use_'.MOBILE_.'skin'];
$skin_url = G5_SKIN_URL.'/apms/use/'.$skin_row['use_'.MOBILE_.'skin'];

// 셋업
$setup_href = '';
if ($is_demo || $is_admin == 'super') {
	$setup_href = './skin.setup.php?skin=use';
}

// SEO 메타태그
$seo_title = htmlspecialchars(apms_get_text($view['is_subject']).' < '.$view['it_name'].' < '.$config['cf_title']);
$seo_subject = htmlspecialchars(apms_get_text($view['is_subject']));
$seo_desc = htmlspecialchars(apms_cut_text($view['is_content'], 200));
$seo_publisher = htmlspecialchars(apms_get_text($config['cf_title']));
$seo_creator = htmlspecialchars(apms_get_text($view['is_name']));
$seo_keyword = apms_seo_keyword($view['pt_tag']);
$seo_url = G5_SHOP_URL.'/itemuseview.php?is_id='.$is_id;
$seo_img = apms_it_write_thumbnail($view['it_id'], $view['is_content'], 0, 0);

$metatag = PHP_EOL.'<meta name="title" content="'.$seo_title.'" />';
$metatag .= PHP_EOL.'<meta name="subject" content="'.$seo_subject.'" />';
$metatag .= PHP_EOL.'<meta name="publisher" content="'.$seo_publisher.'" />';
$metatag .= PHP_EOL.'<meta name="author" content="'.$seo_creator.'" />';
$metatag .= PHP_EOL.'<meta name="robots" content="index,follow" />';
if($seo_keyword) {
	$seo_keyword = htmlspecialchars(apms_get_text($seo_keyword));
	$metatag .= PHP_EOL.'<meta name="keywords" content="'.$seo_keyword.'" />';
}
$metatag .= PHP_EOL.'<meta name="description" content="'.$seo_desc.'" />';
$metatag .= PHP_EOL.'<meta property="og:title" content="'.$seo_title.'"/>';
$metatag .= PHP_EOL.'<meta property="og:site_name" content="'.$seo_publisher.'"/>';
$metatag .= PHP_EOL.'<meta property="og:author" content="'.$seo_creator.'" />';
$metatag .= PHP_EOL.'<meta property="og:url" content="'.$seo_url.'"/>';
$metatag .= PHP_EOL.'<meta property="og:description" content="'.$seo_desc.'"/>';
if($seo_img['src']) {
	$metatag .= PHP_EOL.'<meta property="og:image" content="'.$seo_img['src'].'"/>';
}

add_metatag($metatag, 0);

$g5['title'] = '후기보기';
include_once('./_head.php');

$wset = array();
if($skin_row['use_'.MOBILE_.'set']) {
	$wset = apms_unpack($skin_row['use_'.MOBILE_.'set']);
}

include_once($skin_path.'/useview.skin.php');
include_once('./_tail.php');
?>
